## pafy 0.3.80

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pafy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pafy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pafy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pafy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pafy 0.3.41

=== debian/changelog ===
pafy (0.3.41-2) unstable; urgency=low

  * debian/copyright: Updated years
  * Updated manpages 

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Thu, 01 May 2014 23:55:05 +0200

pafy (0.3.41-1) unstable; urgency=low

  * Initial release (Closes: #738796) 

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Wed, 12 Feb 2014 23:42:14 +0100

=== debian/control ===
Source: pafy
Section: python
Priority: extra
Maintainer: Zlatan Todoric <zlatan.todoric@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python (>=2.7)
Standards-Version: 3.9.5
Homepage: https://github.com/np1/pafy

Package: python-pafy
Architecture: any
Depends: python, ${misc:Depends}
Description: Download videos and retrieve metadata from YouTube
 Retrieve metadata such as viewcount, duration, rating, author, 
 thumbnail, keywords, download video or audio at requested resolution / bitrate
 / format / filesize, command line tool (ytdl) for downloading directly from
 the command line, retrieve the URL to stream the video in a player such as vlc
 or mplayer, works with age-restricted videos and non-embeddable videos, small,
 standalone, select highest quality stream for download or streaming, download
 audio only (no video) in ogg or m4a format, download video only (no audio) in
 m4v format.

## pafy 0.3.62

=== debian/changelog ===
pafy (0.3.62-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Tue, 26 Aug 2014 21:35:45 +0200

pafy (0.3.60-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Mon, 25 Aug 2014 00:24:27 +0200

pafy (0.3.58-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sat, 09 Aug 2014 12:57:21 +0200

pafy (0.3.52-1) unstable; urgency=low

  * New upstream release (Closes: #750832)

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sun, 06 Jul 2014 13:48:34 +0200

pafy (0.3.44-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Tue, 27 May 2014 20:31:16 +0200

pafy (0.3.42-2) unstable; urgency=low

  * debian/control: Updated package description

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sat, 10 May 2014 17:30:42 +0200

pafy (0.3.42-1) unstable; urgency=low

  * New upstream release

 -- Zlatan Todoric <zlatan.todoric@gmail.com>  Sat, 10 May 2014 11:39:23 +0200

=== debian/control ===
Source: pafy
Section: python
Priority: extra
Maintainer: Zlatan Todoric <zlatan.todoric@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python (>=2.7)
Standards-Version: 3.9.5
Homepage: https://github.com/np1/pafy

Package: python-pafy
Architecture: any
Depends: python, ${misc:Depends}
Description: Download videos and retrieve metadata from YouTube
 Pafy is a Python library for interacting with YouTube from within your
 Python programs. It's main features include video/audio download, direct
 stream url retrieval, querying YouTube video metada and playlist retrieval.
 Retrieve metadata such as viewcount, duration, rating, author, 
 thumbnail, keywords, download video or audio at requested resolution / 
 bitrate/ format / filesize, command line tool (ytdl) for downloading directly 
 from the command line, retrieve the URL to stream the video in a player such 
 as vlc or mplayer, works with age-restricted videos and non-embeddable 
 videos, small, standalone, select highest quality stream for download or 
 streaming, download audio only (no video) in ogg or m4a format, download 
 video only (no audio) in m4v format.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pafy-$1\.tar\.gz/ \
  https://github.com/np1/pafy/tags .*/v?(\d\S*)\.tar\.gz

## pafy 0.3.80

=== debian/changelog ===
pafy (0.3.80-1build1) xenial; urgency=medium

  * No-change rebuild against python3.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Mar 2016 07:24:12 +0000

pafy (0.3.80-1) unstable; urgency=low

  * New upstream release (Closes: #807964)
  * debian/copyright: add jsinterp.py

 -- Zlatan Todoric <zlatan@riseup.net>  Mon, 21 Dec 2015 03:28:25 +0100

pafy (0.3.78-1) unstable; urgency=low

  * New upstream release
  * Remove X-Python3-Version: no need for it
  * debian/control: update description
  * debian/upstream: create dir and add upstream keywords
  * debian/watch: update for gpg checking
  * debian/control: Make long description more readable
  * debian/control: remove python3 we have ${python3:Depends}
  * debian/copyright: updated license year

 -- Zlatan Todoric <zlatan@riseup.net>  Fri, 20 Nov 2015 15:18:36 +0100

pafy (0.3.74-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Upstream license changed from GPLv3 to LGPLv3
  * debian/control: Recommends ffmpeg | libav-tools
  * debian/control: Replaces python-pafy
  * debian/control: Breaks python-pafy
  * debian/control: Architecture change from any to all
  * debian/control: bump standards to 3.9.6; no changes needed
  * debian/control: Change in maintainers email address
  * Python 3 support: new python3-pafy binary package
  * Changed all dependencies to Python 3 variants
  * Drop python2 package: deprecated upstream

 -- Zlatan Todoric <zlatan@riseup.net>  Mon, 01 Jun 2015 14:05:31 +0200

=== debian/control ===
Source: pafy
Section: python
Priority: extra
Maintainer: Zlatan Todoric <zlatan@riseup.net>
Build-Depends: debhelper (>= 9), dh-python, python3-setuptools, python3-all
Standards-Version: 3.9.6
Homepage: https://github.com/np1/pafy

Package: python3-pafy
Architecture: all
Replaces: python-pafy
Breaks: python-pafy
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ffmpeg | libav-tools
Description: Download videos and retrieve metadata from YouTube
 Pafy is a Python library for interacting with YouTube from within your
 Python programs. Its main features include:
  * Retrieve metadata such as viewcount, duration, rating, author, thumbnail,
   keywords
  * Download video or audio at requested resolution / bitrate / format /
   filesize
  * Command line tool (ytdl) for downloading directly from the command line
  * Retrieve the URL to stream the video in a player such as vlc or mplayer
  * Works with age-restricted videos and non-embeddable videos
  * Small, standalone, single importable module file (pafy.py)
  * Select highest quality stream for download or streaming
  * Download video only (no audio) in m4v or webm format
  * Download audio only (no video) in ogg or m4a format
  * Retrieve playlists and playlist metadata

=== debian/watch ===
version=3

opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pafy-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/" \
  https://github.com/np1/pafy/tags .*/v?(\d\S*)\.tar\.gz

## pafy 0.5.1

=== debian/changelog ===
pafy (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version. No changes required
  * Updated copyright files (years)

 -- Zlatan Todoric <zlatan@riseup.net>  Mon, 04 Jul 2016 10:00:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Zlatan Todoric <zlatan@riseup.net>
 Build-Depends: debhelper (>= 9), dh-python, python3-setuptools, python3-all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/np1/pafy
 
 Package: python3-pafy

## pafy 0.5.2

=== debian/changelog ===
pafy (0.5.2-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:52:24 +0100

pafy (0.5.2-2) unstable; urgency=medium

  * fix lintian warnings 

 -- Zlatan Todoric <zlatan@debian.org>  Sat, 20 Aug 2016 13:02:20 +0200

pafy (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Zlatan Todoric <zlatan@debian.org>  Sat, 20 Aug 2016 12:50:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pafy
 Section: python
 Priority: extra
-Maintainer: Zlatan Todoric <zlatan@riseup.net>
+Maintainer: Zlatan Todoric <zlatan@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-setuptools, python3-all
 Standards-Version: 3.9.8
 Homepage: https://github.com/np1/pafy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pafy
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python3 --buildsystem=pybuild
